        var ii=0;
        var jj=0;
        var eventoControlado = false;
        window.onload = function(){document.onkeypress = cambioIm;}
        function cambioIm(evObject){
           var chr = String.fromCharCode(evObject.which);
           if(chr=="q"){
              var rx=getRI(ii)-1
              var qw=getR(rx)
              if(qw!=-1){ii=qw;show();}}
           else if(chr=="a"){
              var rx=getRI(ii)+1
              var qw=getR(rx)
              if(qw!=-1){ii=qw;show();}}
           else if(chr=="o"){
              if(0<jj){jj-=1; show();}}
           else if(chr=="p"){
              if(jj<2){jj+=1; show();}}
           else if(chr=="w"){
              var tag=document.getElementById('largeImg');
              tag.width =  tag.width *1.1;
              tag.height = tag.height*1.1;}
           else if(chr=="s"){
              var tag=document.getElementById('largeImg');
              tag.width =  tag.width /1.1;
              tag.height = tag.height/1.1;}
           eventoControlado=true;}
        function showImage(rr,cc) {
           ii=rr;
           jj=cc;
           show(ii,jj);}
        function show() {
           console.log(ii,jj)
           document.getElementById('largeImg').src = getF(ii,jj);
           document.getElementById('largeImgText').innerHTML = getT(ii,jj);
           document.getElementById('largeImgPanel').style.visibility = 'visible';
           if(document.selection) document.selection.empty();
           if(window.getSelection) window.getSelection().removeAllRanges();}
        function hideMe(obj) {
           obj.style.visibility = 'hidden';}
        function getRI(iii){
           var res=-1
           for(k=0;k<100;k++){
               if(iii==getR(k)){res=k;}}
           return res;}
        function includeHTML(){
           /*loop through a collection of all HTML elements: https://www.w3schools.com/howto/howto_html_include.asp*/
           var z, i, elmnt, file, xhttp;
           z = document.getElementsByTagName("*");
           for(i=0;i<z.length;i++){
               elmnt = z[i];
               /*search for elements with a certain atrribute:*/
               file = elmnt.getAttribute("w3-include-html");
               if (file) {
                  /*make an HTTP request using the attribute value as the file name:*/
                  xhttp = new XMLHttpRequest();
                  xhttp.onreadystatechange = function() {
                          if (this.readyState == 4) {
                             if (this.status == 200) {elmnt.innerHTML = this.responseText;}
                             if (this.status == 404) {elmnt.innerHTML = "Page not found.";}
                             /*remove the attribute, and call this function once more:*/
                             elmnt.removeAttribute("w3-include-html");
                             includeHTML();}}
                  xhttp.open("GET", file, true);
                  xhttp.send();
                  return;}}}
        function getF(rr,cc){
       if(rr==6 && cc==0){return '../../SIN/066/cl0_tz_500.png';}
       if(rr==6 && cc==1){return '../../SIN/066/cl1_tz_500.png';}
       if(rr==6 && cc==2){return '../../SIN/066/cl2_tz_500.png';}
       if(rr==29 && cc==0){return 'prob_10fg6_thr11_cl0.png';}
       if(rr==29 && cc==1){return 'prob_10fg6_thr11_cl1.png';}
       if(rr==29 && cc==2){return 'prob_10fg6_thr11_cl2.png';}
       if(rr==30 && cc==0){return 'prob_10fg6_thr22_cl0.png';}
       if(rr==30 && cc==1){return 'prob_10fg6_thr22_cl1.png';}
       if(rr==30 && cc==2){return 'prob_10fg6_thr22_cl2.png';}
       if(rr==31 && cc==0){return 'prob_10fg6_thr34_cl0.png';}
       if(rr==31 && cc==1){return 'prob_10fg6_thr34_cl1.png';}
       if(rr==31 && cc==2){return 'prob_10fg6_thr34_cl2.png';}
       if(rr==32 && cc==0){return 'prob_10fg6_thr48_cl0.png';}
       if(rr==32 && cc==1){return 'prob_10fg6_thr48_cl1.png';}
       if(rr==32 && cc==2){return 'prob_10fg6_thr48_cl2.png';}
       if(rr==33 && cc==0){return 'prob_10fg6_thr64_cl0.png';}
       if(rr==33 && cc==1){return 'prob_10fg6_thr64_cl1.png';}
       if(rr==33 && cc==2){return 'prob_10fg6_thr64_cl2.png';}
}
        function getT(rr,cc){
       if(rr==6 && cc==0){return '<strong>Temperatura (C) y Altura Geopotencial (m) en 500 hPa</strong><br><br><strong>20260531 a 00</strong> UTC HH+066 (rango:060-072)<br><strong>control +<br>EPS</strong>';}
       if(rr==6 && cc==1){return '<strong>Temperatura (C) y Altura Geopotencial (m) en 500 hPa</strong><br><br><strong>20260531 a 00</strong> UTC HH+066 (rango:060-072)<br>grupo: <strong>1</strong> representante: <strong>20</strong> miembros: 33 <strong>control</strong><br>0,1,3,5,7,8,9,10,11,14,15,17,19,20,21,22,28,29,30,33,34,35,36,37,38,39,40,41,45,46,47,49,50';}
       if(rr==6 && cc==2){return '<strong>Temperatura (C) y Altura Geopotencial (m) en 500 hPa</strong><br><br><strong>20260531 a 00</strong> UTC HH+066 (rango:060-072)<br>grupo: <strong>2</strong> representante: <strong>2</strong> miembros: 18 <br>2,4,6,12,13,16,18,23,24,25,26,27,31,32,42,43,44,48';}
       if(rr==29 && cc==0){return '<strong>Probabilidad de racha maxima superior a 20 km/h (11 kt)</strong><br><br><strong>20260531 a 00</strong> UTC HH+066 (rango:060-072)<br><strong>control +<br>EPS</strong>';}
       if(rr==29 && cc==1){return '<strong>Probabilidad de racha maxima superior a 20 km/h (11 kt)</strong><br><br><strong>20260531 a 00</strong> UTC HH+066 (rango:060-072)<br>grupo: <strong>1</strong> representante: <strong>20</strong> miembros: 33 <strong>control</strong><br>0,1,3,5,7,8,9,10,11,14,15,17,19,20,21,22,28,29,30,33,34,35,36,37,38,39,40,41,45,46,47,49,50';}
       if(rr==29 && cc==2){return '<strong>Probabilidad de racha maxima superior a 20 km/h (11 kt)</strong><br><br><strong>20260531 a 00</strong> UTC HH+066 (rango:060-072)<br>grupo: <strong>2</strong> representante: <strong>2</strong> miembros: 18 <br>2,4,6,12,13,16,18,23,24,25,26,27,31,32,42,43,44,48';}
       if(rr==30 && cc==0){return '<strong>Probabilidad de racha maxima superior a 40 km/h (22 kt)</strong><br><br><strong>20260531 a 00</strong> UTC HH+066 (rango:060-072)<br><strong>control +<br>EPS</strong>';}
       if(rr==30 && cc==1){return '<strong>Probabilidad de racha maxima superior a 40 km/h (22 kt)</strong><br><br><strong>20260531 a 00</strong> UTC HH+066 (rango:060-072)<br>grupo: <strong>1</strong> representante: <strong>20</strong> miembros: 33 <strong>control</strong><br>0,1,3,5,7,8,9,10,11,14,15,17,19,20,21,22,28,29,30,33,34,35,36,37,38,39,40,41,45,46,47,49,50';}
       if(rr==30 && cc==2){return '<strong>Probabilidad de racha maxima superior a 40 km/h (22 kt)</strong><br><br><strong>20260531 a 00</strong> UTC HH+066 (rango:060-072)<br>grupo: <strong>2</strong> representante: <strong>2</strong> miembros: 18 <br>2,4,6,12,13,16,18,23,24,25,26,27,31,32,42,43,44,48';}
       if(rr==31 && cc==0){return '<strong>Probabilidad de racha maxima superior a 63 km/h (34 kt)</strong><br><br><strong>20260531 a 00</strong> UTC HH+066 (rango:060-072)<br><strong>control +<br>EPS</strong>';}
       if(rr==31 && cc==1){return '<strong>Probabilidad de racha maxima superior a 63 km/h (34 kt)</strong><br><br><strong>20260531 a 00</strong> UTC HH+066 (rango:060-072)<br>grupo: <strong>1</strong> representante: <strong>20</strong> miembros: 33 <strong>control</strong><br>0,1,3,5,7,8,9,10,11,14,15,17,19,20,21,22,28,29,30,33,34,35,36,37,38,39,40,41,45,46,47,49,50';}
       if(rr==31 && cc==2){return '<strong>Probabilidad de racha maxima superior a 63 km/h (34 kt)</strong><br><br><strong>20260531 a 00</strong> UTC HH+066 (rango:060-072)<br>grupo: <strong>2</strong> representante: <strong>2</strong> miembros: 18 <br>2,4,6,12,13,16,18,23,24,25,26,27,31,32,42,43,44,48';}
       if(rr==32 && cc==0){return '<strong>Probabilidad de racha maxima superior a 90 km/h (48 kt)</strong><br><br><strong>20260531 a 00</strong> UTC HH+066 (rango:060-072)<br><strong>control +<br>EPS</strong>';}
       if(rr==32 && cc==1){return '<strong>Probabilidad de racha maxima superior a 90 km/h (48 kt)</strong><br><br><strong>20260531 a 00</strong> UTC HH+066 (rango:060-072)<br>grupo: <strong>1</strong> representante: <strong>20</strong> miembros: 33 <strong>control</strong><br>0,1,3,5,7,8,9,10,11,14,15,17,19,20,21,22,28,29,30,33,34,35,36,37,38,39,40,41,45,46,47,49,50';}
       if(rr==32 && cc==2){return '<strong>Probabilidad de racha maxima superior a 90 km/h (48 kt)</strong><br><br><strong>20260531 a 00</strong> UTC HH+066 (rango:060-072)<br>grupo: <strong>2</strong> representante: <strong>2</strong> miembros: 18 <br>2,4,6,12,13,16,18,23,24,25,26,27,31,32,42,43,44,48';}
       if(rr==33 && cc==0){return '<strong>Probabilidad de racha maxima superior a 119 km/h (64 kt)</strong><br><br><strong>20260531 a 00</strong> UTC HH+066 (rango:060-072)<br><strong>control +<br>EPS</strong>';}
       if(rr==33 && cc==1){return '<strong>Probabilidad de racha maxima superior a 119 km/h (64 kt)</strong><br><br><strong>20260531 a 00</strong> UTC HH+066 (rango:060-072)<br>grupo: <strong>1</strong> representante: <strong>20</strong> miembros: 33 <strong>control</strong><br>0,1,3,5,7,8,9,10,11,14,15,17,19,20,21,22,28,29,30,33,34,35,36,37,38,39,40,41,45,46,47,49,50';}
       if(rr==33 && cc==2){return '<strong>Probabilidad de racha maxima superior a 119 km/h (64 kt)</strong><br><br><strong>20260531 a 00</strong> UTC HH+066 (rango:060-072)<br>grupo: <strong>2</strong> representante: <strong>2</strong> miembros: 18 <br>2,4,6,12,13,16,18,23,24,25,26,27,31,32,42,43,44,48';}
}
        function getR(rrw){
           cx=0;
       cx+=1;
       if(rrw==cx){return 6;}
       cx+=1;
       if(rrw==cx){return 29;}
       cx+=1;
       if(rrw==cx){return 30;}
       cx+=1;
       if(rrw==cx){return 31;}
       cx+=1;
       if(rrw==cx){return 32;}
       cx+=1;
       if(rrw==cx){return 33;}
return -1;}
